VERSION 4.00
Begin VB.Form LineDisp 
   Caption         =   "Line Display"
   ClientHeight    =   3765
   ClientLeft      =   2895
   ClientTop       =   2385
   ClientWidth     =   2730
   BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
      Name            =   "Arial"
      Size            =   9
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Height          =   4170
   Left            =   2835
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   4067.545
   ScaleMode       =   0  'User
   ScaleWidth      =   2767.333
   Top             =   2040
   Width           =   2850
   Begin VB.CommandButton Command1 
      Caption         =   "Close"
      Height          =   375
      Left            =   1320
      TabIndex        =   6
      Top             =   3120
      Width           =   1185
   End
   Begin VB.CommandButton Command18 
      Caption         =   "Marquee Walk Format"
      Height          =   347
      Left            =   240
      TabIndex        =   5
      Top             =   2640
      Width           =   2264
   End
   Begin VB.CommandButton Command17 
      Caption         =   "Marquee Place Format"
      Height          =   347
      Left            =   240
      TabIndex        =   4
      Top             =   2160
      Width           =   2264
   End
   Begin VB.CommandButton Command16 
      Caption         =   "Scrolling Direction"
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   347
      Left            =   240
      TabIndex        =   3
      Top             =   1680
      Width           =   2264
   End
   Begin VB.CommandButton Command15 
      Caption         =   "Blinking Display"
      Height          =   347
      Left            =   240
      TabIndex        =   2
      Top             =   1200
      Width           =   2264
   End
   Begin VB.CommandButton Command14 
      Caption         =   "Descriptor(Discount)"
      Height          =   347
      Left            =   240
      TabIndex        =   0
      Top             =   720
      Width           =   2264
   End
   Begin VB.CommandButton Command13 
      Caption         =   "Display(Goods/Price)"
      Height          =   347
      Left            =   240
      TabIndex        =   1
      Top             =   240
      Width           =   2264
   End
   Begin CODISPLib13.Codisp Codisp1 
      Left            =   120
      Top             =   3120
      _Version        =   65536
      _ExtentX        =   1720
      _ExtentY        =   873
      _StockProps     =   0
   End
End
Attribute VB_Name = "LineDisp"
Attribute VB_Creatable = False
Attribute VB_Exposed = False

Option Explicit
Dim CRLF    As String * 2

Private Sub Command1_Click()
'Close Form
    LineDisp.Hide
    Unload LineDisp
End Sub

Private Sub Command13_Click()
    Dim Dummy   As Long
    Dim Data    As String
    Dim Goods   As String
    Dim Price   As Long
    Dim fHour   As Long
    Dim fMin    As Long

    ' Begining proc.
    Codisp1.ClearText
    If (Codisp1.ResultCode = OPOS_SUCCESS) Then
        If (Codisp1.CapDescriptors = True) Then
            Codisp1.ClearDescriptors
        End If
        ' Display Time
        fHour = Hour(Time)
        fMin = Minute(Time)
        Dummy = DISP_DI_DUMMY
        Data = Chr(&H1F) + "T" + Chr(fHour) + Chr(fMin)
        Codisp1.DirectIO DISP_DI_SYNC, Dummy, Data
        Codisp1.CreateWindow 0, 0, 1, Codisp1.DeviceColumns, 1, 20
        Codisp1.InterCharacterWait = 0
        ' Display Data
        Goods = "Apple"
        Price = 12.75 * 100
        Data = Space(8)
        RSet Data = Format(Price / 100, "$####.##")
        Codisp1.DisplayTextAt 0, 0, Goods, DISP_DT_NORMAL
        Codisp1.DisplayTextAt 0, 12, Data, DISP_DT_NORMAL
        Codisp1.CurrentWindow = 1
        Codisp1.DestroyWindow
    Else
        CRLF = Chr(13) + Chr(10)
        MsgBox "Line Display can't use." + CRLF + "ResultCode = " + CStr(Codisp1.ResultCode) + CRLF + "ResultCodeExtended = " + CStr(Codisp1.ResultCodeExtended), 0, "Line Display"
    End If
End Sub

Private Sub Command14_Click()
    Dim Dummy   As Long
    Dim Data    As String
    Dim Nebiki  As Long
    Dim Gokei   As Long

    ' Begining proc.
    Codisp1.ClearText
    If (Codisp1.ResultCode = OPOS_SUCCESS) Then
        If (Codisp1.CapDescriptors = True) Then
            Codisp1.SetDescriptor 11, DISP_SD_ON
        End If
        ' Display data
        Nebiki = 20.75 * 100
        Gokei = 235.25 * 100
        Data = Space(8)
        Codisp1.DisplayTextAt 0, 0, "Discount", DISP_DT_NORMAL
        RSet Data = Format(Nebiki / 100, "$####.##")
        Codisp1.DisplayTextAt 0, 12, Data, DISP_DT_NORMAL
        Codisp1.DisplayTextAt 1, 0, "Total", DISP_DT_NORMAL
        RSet Data = Format(Gokei / 100, "$####.##")
        Codisp1.DisplayTextAt 1, 12, Data, DISP_DT_NORMAL
    Else
        CRLF = Chr(13) + Chr(10)
        MsgBox "Line Display can't use." + CRLF + "ResultCode = " + CStr(Codisp1.ResultCode) + CRLF + "ResultCodeExtended = " + CStr(Codisp1.ResultCodeExtended), 0, "Line Display"
    End If
End Sub

Private Sub Command15_Click()
    ' Begining proc.
    Codisp1.ClearText
    If (Codisp1.ResultCode = OPOS_SUCCESS) Then
        If (Codisp1.CapDescriptors = True) Then
            Codisp1.ClearDescriptors
        End If
        Codisp1.CursorUpdate = True
        If Codisp1.CapBlink <> DISP_CB_NOBLINK Then
            Codisp1.CursorRow = 0
            Codisp1.CursorColumn = 0
            Codisp1.DisplayText "Receipt paper is low", DISP_DT_BLINK
        Else
            Codisp1.DisplayText "This device doesn't support blinking", DISP_DT_NORMAL
        End If
    Else
        CRLF = Chr(13) + Chr(10)
        MsgBox "Line Display can't use." + CRLF + "ResultCode = " + CStr(Codisp1.ResultCode) + CRLF + "ResultCodeExtended = " + CStr(Codisp1.ResultCodeExtended), 0, "Line Display"
    End If
End Sub

Private Sub Command16_Click()
    Dim Direction   As Long
    Dim Units       As Long

    ' Begining proc.
    Codisp1.ClearText
    If (Codisp1.ResultCode = OPOS_SUCCESS) Then
        If (Codisp1.CapDescriptors = True) Then
            Codisp1.ClearDescriptors
        End If
    'Scrolling direction
        Direction = DISP_ST_RIGHT
    'Direction = DISP_ST_DOWN
    'Direction = DISP_ST_LEFT
    'Direction = DISP_ST_UP
    'Raw/Column
        Units = 10
        Codisp1.DisplayText "Scrolling", DISP_DT_NORMAL
        Codisp1.ScrollText Direction, Units
    Else
        CRLF = Chr(13) + Chr(10)
        MsgBox "Line Display can't use." + CRLF + "ResultCode = " + CStr(Codisp1.ResultCode) + CRLF + "ResultCodeExtended = " + CStr(Codisp1.ResultCodeExtended), 0, "Line Display"
    End If
End Sub

Private Sub Command17_Click()
    Dim RepWait     As Long
    Dim UnitWait    As Long

    ' Begining proc.
    Codisp1.ClearText
    If (Codisp1.ResultCode = OPOS_SUCCESS) Then
        If (Codisp1.CapDescriptors = True) Then
            Codisp1.ClearDescriptors
        End If
    ' Marquee place format
    ' Marquee repeat wait(ms)
        RepWait = 1000
    ' Unit dispay wait(ms)
        UnitWait = 100
        Codisp1.CreateWindow 0, 0, 1, 19, 1, 23
        Codisp1.MarqueeFormat = DISP_MF_PLACE
        Codisp1.MarqueeType = DISP_MT_INIT
        Codisp1.MarqueeRepeatWait = RepWait
        Codisp1.MarqueeUnitWait = UnitWait
        Codisp1.DisplayText "Sale! Sale! 50%-20% off", DISP_DT_NORMAL
        ' Marquee start
        Codisp1.MarqueeType = DISP_MT_LEFT
        MsgBox "Select [OK],then stopped marquee repeat.", 0, "Line Dipslay"
        Codisp1.MarqueeType = DISP_MT_INIT
        Codisp1.DestroyWindow
    Else
        CRLF = Chr(13) + Chr(10)
        MsgBox "Line Display can't use." + CRLF + "ResultCode = " + CStr(Codisp1.ResultCode) + CRLF + "ResultCodeExtended = " + CStr(Codisp1.ResultCodeExtended), 0, "Line Display"
    End If
End Sub

Private Sub Command18_Click()
    Dim RepWait     As Long
    Dim UnitWait    As Long

    ' Begining proc.
    Codisp1.ClearText
    If (Codisp1.ResultCode = OPOS_SUCCESS) Then
        If (Codisp1.CapDescriptors = True) Then
            Codisp1.ClearDescriptors
        End If
    ' Marquee place format
    ' Marquee repeat wait(ms)
        RepWait = 1000
    ' Unit dispay wait(ms)
        UnitWait = 100
        Codisp1.CreateWindow 0, 0, 1, 19, 1, 23
        Codisp1.MarqueeFormat = DISP_MF_WALK
        Codisp1.MarqueeRepeatWait = RepWait
        Codisp1.MarqueeUnitWait = UnitWait
        Codisp1.DisplayText "Sale! Sale! 50%-20% off", DISP_DT_NORMAL
        ' Marquee start
        Codisp1.MarqueeType = DISP_MT_LEFT
        MsgBox "Select [OK],then stopped marquee repeat.", 0, "Line Dipslay"
        Codisp1.MarqueeType = DISP_MT_INIT
        Codisp1.DestroyWindow
    Else
        CRLF = Chr(13) + Chr(10)
        MsgBox "Line Display can't use." + CRLF + "ResultCode = " + CStr(Codisp1.ResultCode) + CRLF + "ResultCodeExtended = " + CStr(Codisp1.ResultCodeExtended), 0, "Line Display"
    End If
End Sub

Private Sub Form_Load()
    CRLF = Chr(13) + Chr(10)
    If (Codisp1.Open("Unit1") <> OPOS_SUCCESS) Then
        MsgBox "Line Display can't use." + CRLF + "ResultCode = " + CStr(Codisp1.ResultCode), 0, "Line Display"
        Command13.Enabled = False
        Command14.Enabled = False
        Command15.Enabled = False
        Command16.Enabled = False
        Command17.Enabled = False
        Command18.Enabled = False
    ElseIf (Codisp1.Claim(1000) <> OPOS_SUCCESS) Then
        MsgBox "Line Display can't Claim." + CRLF + "ResultCode = " + CStr(Codisp1.ResultCode), 0, "Line Display"
        Command13.Enabled = False
        Command14.Enabled = False
        Command15.Enabled = False
        Command16.Enabled = False
        Command17.Enabled = False
        Command18.Enabled = False
    Else
        Codisp1.DeviceEnabled = True
        If (Codisp1.ResultCode <> OPOS_SUCCESS) Then
            MsgBox "Line Display can't use." + CRLF + "ResultCode = " + CStr(Codisp1.ResultCode), 0, "Line Display"
            Command13.Enabled = False
            Command14.Enabled = False
            Command15.Enabled = False
            Command16.Enabled = False
            Command17.Enabled = False
            Command18.Enabled = False
        End If
    End If
End Sub


Private Sub Form_Unload(Cancel As Integer)
    Codisp1.DeviceEnabled = False
    Codisp1.Release
    Codisp1.Close
End Sub


